<template>
  <div>
    <withdraw-wizard ref="root"></withdraw-wizard>
    <!-- <type-get-money></type-get-money> -->
  </div>
</template>

<script>
  import IndicatorRegistration from '@/mixins/IndicatorRegistration'
  import UserGetter from '@/mixins/User/UserGetterMixin'
  import UserSetter from '@/mixins/User/UserSetterMixin'
  import WithdrawWizard from './WithdrawWizard'

  export default {
    mixins: [
      UserGetter,
      IndicatorRegistration,
      UserSetter
    ],
    name: 'fourth-page',
    components: {
      IndicatorRegistration,
      WithdrawWizard
    },
    mounted () {
      this.$user.autologin ? this.$helpers.scroll(this.$root.$el) : this.$helpers.scroll(this.$refs.root);

      if (this.$user.autologin) {
        this.$router.push({name: 'registration'});
      }
    },
  }
</script>

<style scoped lang="scss">
  .white {
    cursor: default;
    color: #b4cadd;
    background: #fff;
  }

  .white:hover {
    background: #fff;
  }
</style>

